#include <dragonfly_lib.h>
#include <encoders.h>

int main(void)
{

	dragonfly_init(ALL_ON);

	usb_init();
	encoders_init();
	int encoder_left,encoder_right;
	int x_left, x_right;
	int v_left, v_right;
	int tc;

	while(1) {
		/* button1 is pressed */
		if (button1_read()) {
			/* reset dx and tc */
			encoder_rst_dx(LEFT);
			encoder_rst_dx(RIGHT);
			encoder_rst_tc();
		}

		encoder_left = encoder_read(LEFT);
		encoder_right = encoder_read(RIGHT);
		usb_puts("Encoder values (left, right): ");
		usb_puti(encoder_left); 
		usb_puts(", ");
		usb_puti(encoder_right); 
		usb_puts("\n");

		x_left = encoder_get_x(LEFT);
		x_right = encoder_get_x(RIGHT);
		usb_puts("Total Distance (left, right): ");
		usb_puti(x_left);
		usb_puts(", ");
		usb_puti(x_right);
		usb_puts("\n");

		v_left = encoder_get_v(LEFT);
		v_right = encoder_get_v(RIGHT);
		usb_puts("Velocity (left, right): ");
		usb_puti(v_left);
		usb_puts(", ");
		usb_puti(v_right);
		usb_puts("\n");

		tc = encoder_get_tc();
		usb_puts("Time count: ");
		usb_puti(tc);
		usb_puts("\n\r");

		delay_ms(500);
	}

	return 0;
}
